=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::UserParcelTemplatesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'UserParcelTemplatesApi' do
  before do
    # run before each test
    @instance = Shippo::UserParcelTemplatesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of UserParcelTemplatesApi' do
    it 'should create an instance of UserParcelTemplatesApi' do
      expect(@instance).to be_instance_of(Shippo::UserParcelTemplatesApi)
    end
  end

  # unit tests for create_user_parcel_template
  # Create a new user parcel template
  # Creates a new user parcel template. You can choose to create a parcel template using a preset carrier template as a starting point, or you can create an entirely custom one. To use a preset carrier template, pass in a unique template token from [this list](https://goshippo.com/docs/reference#parcel-templates), plus the weight fields (**weight** and **weight_unit**). Otherwise, omit the template field and pass the other fields, for the weight, length, height, and depth, as well as their units.
  # @param [Hash] opts the optional parameters
  # @option opts [UserParcelTemplateRequestBodyWrapper] :body 
  # @return [UserParcelTemplateStruct]
  describe 'create_user_parcel_template test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_user_parcel_template
  # Delete a user parcel template
  # Delete a user parcel template by object ID.
  # @param user_parcel_template_token The unique string representation of the user parcel template
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_user_parcel_template test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_user_parcel_templates
  # List all user parcel templates
  # List all user parcel template objects.
  # @param [Hash] opts the optional parameters
  # @return [AllUserParcelTemplateResponse]
  describe 'list_user_parcel_templates test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_user_parcel_template
  # Retrieves an user parcel templates
  # Fetches the parcel template information for a specific user parcel template, identified by the object ID.
  # @param user_parcel_template_token The unique string representation of the user parcel template
  # @param [Hash] opts the optional parameters
  # @return [UserParcelTemplateStruct]
  describe 'get_user_parcel_template test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_user_parcel_template
  # Update an existing user parcel template
  # Updates an existing user parcel template.
  # @param user_parcel_template_token The unique string representation of the user parcel template
  # @param [Hash] opts the optional parameters
  # @option opts [UserParcelTemplateRequestBodyWrapper] :body Address details.
  # @return [UserParcelTemplateStruct]
  describe 'update_user_parcel_template test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
